package SHARK2.keymon.com.mx.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_login{

public static void LS_general(anywheresoftware.b4a.BA ba, android.view.View parent, anywheresoftware.b4a.keywords.LayoutValues lv, java.util.Map props,
java.util.Map<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) throws Exception {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);
views.get("imageview1").vw.setLeft((int)((50d / 100 * width) - (views.get("imageview1").vw.getWidth() / 2)));
views.get("i_engrane").vw.setLeft((int)((85d / 100 * width) - (views.get("i_engrane").vw.getWidth() / 2)));
//BA.debugLineNum = 5;BA.debugLine="Panel1.HorizontalCenter = 50%x"[login/General script]
views.get("panel1").vw.setLeft((int)((50d / 100 * width) - (views.get("panel1").vw.getWidth() / 2)));
//BA.debugLineNum = 6;BA.debugLine="Panel1.VerticalCenter = 38%y"[login/General script]
views.get("panel1").vw.setTop((int)((38d / 100 * height) - (views.get("panel1").vw.getHeight() / 2)));
//BA.debugLineNum = 9;BA.debugLine="l_version.VerticalCenter = 70%y"[login/General script]
views.get("l_version").vw.setTop((int)((70d / 100 * height) - (views.get("l_version").vw.getHeight() / 2)));
//BA.debugLineNum = 10;BA.debugLine="Label2.VerticalCenter = 70%y"[login/General script]
views.get("label2").vw.setTop((int)((70d / 100 * height) - (views.get("label2").vw.getHeight() / 2)));
//BA.debugLineNum = 11;BA.debugLine="lv_server.HorizontalCenter = 50%x"[login/General script]
views.get("lv_server").vw.setLeft((int)((50d / 100 * width) - (views.get("lv_server").vw.getWidth() / 2)));
//BA.debugLineNum = 12;BA.debugLine="b_apk.HorizontalCenter = 50%x"[login/General script]
views.get("b_apk").vw.setLeft((int)((50d / 100 * width) - (views.get("b_apk").vw.getWidth() / 2)));
//BA.debugLineNum = 13;BA.debugLine="b_regesar.HorizontalCenter = 50%x"[login/General script]
views.get("b_regesar").vw.setLeft((int)((50d / 100 * width) - (views.get("b_regesar").vw.getWidth() / 2)));
//BA.debugLineNum = 14;BA.debugLine="b_envioBD.HorizontalCenter = 50%x"[login/General script]
views.get("b_enviobd").vw.setLeft((int)((50d / 100 * width) - (views.get("b_enviobd").vw.getWidth() / 2)));
//BA.debugLineNum = 15;BA.debugLine="b_server.HorizontalCenter = 50%x"[login/General script]
views.get("b_server").vw.setLeft((int)((50d / 100 * width) - (views.get("b_server").vw.getWidth() / 2)));
//BA.debugLineNum = 16;BA.debugLine="b_importarBD.HorizontalCenter = 50%x"[login/General script]
views.get("b_importarbd").vw.setLeft((int)((50d / 100 * width) - (views.get("b_importarbd").vw.getWidth() / 2)));
//BA.debugLineNum = 17;BA.debugLine="b_arqueocieego.HorizontalCenter = 50%x"[login/General script]
views.get("b_arqueocieego").vw.setLeft((int)((50d / 100 * width) - (views.get("b_arqueocieego").vw.getWidth() / 2)));
//BA.debugLineNum = 18;BA.debugLine="b_recarga.HorizontalCenter = 50%x"[login/General script]
views.get("b_recarga").vw.setLeft((int)((50d / 100 * width) - (views.get("b_recarga").vw.getWidth() / 2)));
//BA.debugLineNum = 19;BA.debugLine="b_CargarMonto.HorizontalCenter = 50%x"[login/General script]
views.get("b_cargarmonto").vw.setLeft((int)((50d / 100 * width) - (views.get("b_cargarmonto").vw.getWidth() / 2)));

}
}